package com.sky.ioc.controller.system;

import com.sky.ioc.service.system.UserService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "系统设置--用户")
@Slf4j
@RestController
@RequestMapping("/system_user")
public class UserController {

    @Autowired
    UserService userService;
    @ApiOperation("更新常用菜单")
    @PostMapping("saveCommonMenus")
    public ReturnMsg saveCommonMenus(@RequestParam(value = "userID")  long userID,@RequestParam(value = "menuIDs") String menuIDs){
        return userService.updateCommonMenusByUserIdAndMenuId(userID,menuIDs);
    }
}
